Overview
GET
/ecosystem/ecosystem-regions/{id}ecosystemGet ecosystem_regions by id
Fetch a record from ecosystem-regions by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
ecosystem_regions
- idstring
- displayNamestring
- postgresHoststring
- railwayServiceIdstring
- isDefaultForNewProjectsboolean
- createdAtstring
Example
{
"id": "string",
"displayName": "string",
"postgresHost": "string",
"railwayServiceId": "string",
"isDefaultForNewProjects": true,
"createdAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/ecosystem/ecosystem-regions/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/ecosystem-regions/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();